# Retrieve a specific chunk of transfer data

Use this endpoint to retrieve the binary data for a single chunk. Make one request per chunk per chunk set, using `chunkId` values `0` through `ChunkCount - 1` (where `ChunkCount` is obtained from the [Retrieve details of a content transfer operation](#operation/ContentTransfer_GetContentTransferStatus) response).
Make this request in your *source* environment.
The response body contains a binary stream of serialized item data. The first chunk in a given set also includes a header. Every chunk you retrieve must also be saved to the *destination* environment using the [Save a data chunk to the destination environment](#operation/ContentTransfer_SaveChunkAsync) endpoint. You can retrieve and save chunks in parallel, but all chunks in a set must be saved before you can [complete that chunk set](#operation/ContentTransfer_CompleteChunkSetAsync).
Depending on whether the chunk represents a media item or a content item, the data will either be compressed or encrypted, and the returned value of `IsMedia` will either be `true` or `false`:
- Media data (`IsMedia` = `true`) is compressed.
- Content data (`IsMedia` = `false`) is encrypted.

Content description metadata is exposed via Content-Disposition header parameters:
- `ItemsProcessed`: number of successfully processed items written into the stream
- `ItemsSkipped`: number of items in the chunk that were skipped (failed / filtered)
- `IsMedia`: indicates whether the returned payload was compressed (`true`) or encrypted (`false`).

Endpoint: GET /sitecore/api/content/transfer/v1/transfers/{transferId}/chunksets/{chunksetId}/chunks/{chunkId}
Version: v1.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `transferId` (string, required)
    The unique identifier of the transfer operation. This is the UUID you provided when you [created a content transfer operation](#operation/ContentTransfer_CreateContentTransfer).

  - `chunksetId` (string, required)
    The unique identifier of the chunk set that contains the chunk to be transferred. If you don't know this value, first retrieve details of a content transfer operation.

  - `chunkId` (integer, required)
    The identifier of the chunk to be transferred. The first chunk in the set is 0.

## Response 200:

  - `200` (unknown)
    Returns the chunk data as a binary stream.

## Response 400:

  - `400` (unknown)
    Invalid chunk ID, chunk set ID, or no processed items in the chunk.

## Response 400 fields (application/json):

  - `Error` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 fields (application/json):

  - `Error` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 fields (application/json):

  - `Error` (string)

## Response 404:

  - `404` (unknown)
    Chunk set or chunk not found.

## Response 404 fields (application/json):

  - `Error` (string)

